Bug 744224 - Review Request: perl-XML-SAX-Base - Base class SAX Drivers and Filters
Summary: Review Request: perl-XML-SAX-Base - Base class SAX Drivers and Filters
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 735776
TreeView+ depends on / blocked
 
Reported: 2011-10-07 14:20 UTC by Marcela Mašláňová
Modified: 2011-10-14 12:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-14 12:06:27 UTC
Type: ---
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marcela Mašláňová 2011-10-07 14:20:11 UTC
SRPM: http://mmaslano.fedorapeople.org/review/perl-XML-SAX-Base-1.08-1.fc16.src.rpm
SPEC: http://mmaslano.fedorapeople.org/review/perl-XML-SAX-Base.spec
Description:
This module has a very simple task - to be a base class for PerlSAX drivers
and filters. It's default behaviour is to pass the input directly to the
output unchanged. It can be useful to use this module as a base class so
you don't have to, for example, implement the characters() callback.

Comment 1 Mario Blättermann 2011-10-08 20:16:50 UTC
$ rpmlint -i -v *
perl-XML-SAX-Base.src: I: checking
perl-XML-SAX-Base.src: W: spelling-error %description -l en_US behaviour -> behavior
The value of this tag appears to be misspelled. Please double-check.

perl-XML-SAX-Base.src: I: checking-url http://search.cpan.org/dist/XML-SAX-Base/ (timeout 10 seconds)
perl-XML-SAX-Base.src: I: checking-url http://www.cpan.org/authors/id/G/GR/GRANTM/XML-SAX-Base-1.08.tar.gz (timeout 10 seconds)
perl-XML-SAX-Base.noarch: I: checking
perl-XML-SAX-Base.noarch: W: spelling-error %description -l en_US behaviour -> behavior
The value of this tag appears to be misspelled. Please double-check.

perl-XML-SAX-Base.noarch: I: checking-url http://search.cpan.org/dist/XML-SAX-Base/ (timeout 10 seconds)
perl-XML-SAX-Base.noarch: E: non-executable-script /usr/share/perl5/vendor_perl/XML/SAX/BuildSAXBase.pl 0644L /usr/bin/perl
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

perl-XML-SAX-Base.spec: I: checking-url http://www.cpan.org/authors/id/G/GR/GRANTM/XML-SAX-Base-1.08.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 1 errors, 2 warnings.

The spelling errors are eventually ignorable, however, "behaviour" is the British spelling and should be changed to "behavior".

More important is the file /usr/share/perl5/vendor_perl/XML/SAX/BuildSAXBase.pl. It is probably not intended to leave it as unexecutable...? Usually, a Perl module doesn't include a shebang.

Comment 2 Mario Blättermann 2011-10-08 20:23:59 UTC
Koji scratch build for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3414465

Comment 3 Mario Blättermann 2011-10-08 20:29:38 UTC
Ah,the header comment in /usr/share/perl5/vendor_perl/XML/SAX/BuildSAXBase.pl says:

#!/usr/bin/perl
#
# This file is used to generate lib/XML/SAX/Base.pm.  There is a pre-generated
# Base.pm file included in the distribution so you don't need to run this
# script unless you are attempting to modify the code.
#
# The code in this file was adapted from the Makefile.PL when XML::SAX::Base
# was split back out into its own distribution.
#
# You can manually run this file:
#
#   perl ./BuildSAXBase.pl
#
# or better yet it will be invoked by automatically Dist::Zilla when building
# a release from the git repository.
#
#   dzil build
#

Obviously we don't need it at all.

Comment 4 Marcela Mašláňová 2011-10-10 11:48:34 UTC
(In reply to comment #1)
> perl-XML-SAX-Base.src: I: checking-url
> http://search.cpan.org/dist/XML-SAX-Base/ (timeout 10 seconds)
> perl-XML-SAX-Base.src: I: checking-url
> http://www.cpan.org/authors/id/G/GR/GRANTM/XML-SAX-Base-1.08.tar.gz (timeout 10
> seconds)
> perl-XML-SAX-Base.noarch: I: checking
> perl-XML-SAX-Base.noarch: W: spelling-error %description -l en_US behaviour ->
> behavior
> The value of this tag appears to be misspelled. Please double-check.
I did not misspell source tar ball. Specfile for Perl packages is automatically generated by cpanspec. There are some issues, but I was able download it by wget.

> 
> perl-XML-SAX-Base.noarch: I: checking-url
> http://search.cpan.org/dist/XML-SAX-Base/ (timeout 10 seconds)
> perl-XML-SAX-Base.noarch: E: non-executable-script
> /usr/share/perl5/vendor_perl/XML/SAX/BuildSAXBase.pl 0644L /usr/bin/perl
> This text file contains a shebang or is located in a path dedicated for
> executables, but lacks the executable bits and cannot thus be executed.  If
> the file is meant to be an executable script, add the executable bits,
> otherwise remove the shebang or move the file elsewhere.
> 
> perl-XML-SAX-Base.spec: I: checking-url
> http://www.cpan.org/authors/id/G/GR/GRANTM/XML-SAX-Base-1.08.tar.gz (timeout 10
> seconds)
> 2 packages and 1 specfiles checked; 1 errors, 2 warnings.
> 
> The spelling errors are eventually ignorable, however, "behaviour" is the
> British spelling and should be changed to "behavior".
> 
I won't change upstream description written by native speaker.

> More important is the file
> /usr/share/perl5/vendor_perl/XML/SAX/BuildSAXBase.pl. It is probably not
> intended to leave it as unexecutable...? Usually, a Perl module doesn't include
> a shebang.

I thought about moving it into docs, but that's not right installation path. I'd rather leave it where it is. It's mentioned in Base.pm and someone might need it. Not sure about this one.

Comment 5 Mario Blättermann 2011-10-10 18:23:16 UTC
The purpose of the build script is very clear:
# This file is used to generate lib/XML/SAX/Base.pm.  There is a pre-generated
# Base.pm file included in the distribution so you don't need to run this
# script unless you are attempting to modify the code.

Modifying the code would break the RPM database. Because this file is not needed at runtime, it would be better to put it in the %doc folder. Let users do what they want with it, but it does not belong to the other files of this module.

Moreover, please consider to have a look at the following package shipped with Debian:
http://packages.debian.org/sid/all/libxml-sax-base-perl/filelist
The Debian folks doesn't use the mentioned build script, too.

Comment 6 Mario Blättermann 2011-10-10 18:42:38 UTC
Hm, what about to put the build script in a -devel package? Would this be suitable for its purpose?

Comment 7 Marcela Mašláňová 2011-10-11 11:56:35 UTC
Now it's installed in documentation directory. I suppose now it could be ready for re-review under same links.

Comment 8 Mario Blättermann 2011-10-11 18:06:00 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3423507

$ rpmlint -i -v *perl-XML-SAX-Base.src: I: checking
perl-XML-SAX-Base.src: W: spelling-error %description -l en_US behaviour -> behavior
The value of this tag appears to be misspelled. Please double-check.

perl-XML-SAX-Base.src: I: checking-url http://search.cpan.org/dist/XML-SAX-Base/ (timeout 10 seconds)
perl-XML-SAX-Base.src: I: checking-url http://www.cpan.org/authors/id/G/GR/GRANTM/XML-SAX-Base-1.08.tar.gz (timeout 10 seconds)
perl-XML-SAX-Base.noarch: I: checking
perl-XML-SAX-Base.noarch: W: spelling-error %description -l en_US behaviour -> behavior
The value of this tag appears to be misspelled. Please double-check.

perl-XML-SAX-Base.noarch: I: checking-url http://search.cpan.org/dist/XML-SAX-Base/ (timeout 10 seconds)
perl-XML-SAX-Base.spec: I: checking-url http://www.cpan.org/authors/id/G/GR/GRANTM/XML-SAX-Base-1.08.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Besides the spelling errors, no issues.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPL+ or Artistic
[+] MUST: The License field in the package spec file must match the actual
license.
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    38c8c3247dfd080712596118d70dbe32  XML-SAX-Base-1.08.tar.gz
    38c8c3247dfd080712596118d70dbe32  XML-SAX-Base-1.08.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates.
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it. Don't know how to test it on my
system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.


----------------

PACKAGE APPROVED

----------------

Comment 9 Marcela Mašláňová 2011-10-12 08:45:15 UTC
New Package SCM Request
=======================
Package Name: perl-XML-SAX-Base
Short Description: Base class SAX Drivers and Filters
Owners: mmaslano ppisar psabata
Branches: 
InitialCC: perl-sig

Comment 10 Gwyn Ciesla 2011-10-12 12:46:15 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.